Reissue Card

post/api/cards/{cardId}/reissue

Reissues a card, creating a new replacement card linked to the original. Returns the ID of the new card.

Request

Path Parameters

  • cardIdstringrequired

    ID of card

Body application/json

  • reissuanceTypestringrequired
    Allowed values:standard-renewal

    The reason for reissuance.

  • languagestring

    Carrier language for a physical card, in ISO 639-1 Alpha-2 format. Required if card program supports physical cards. The carrier is the physical packaging to which the card is attached for delivery.

  • shippingMethodstring
    Allowed values:standard-courierpremium-courier

    Shipping method for a physical card. Required if card program supports physical cards.

  • shippingAddressobject

    Shipping address for a physical card. Required if card program supports physical cards. Only one of the optional fields companyName or addressLine2 can be provided. Each field must be less than 35 characters.

    • companyNamestring

      (Optional) Company name.

    • countrystring

      The ISO 3166-2 Country code of the country the address is in.

    • statestring

      (Optional) State, province, prefecture, canton, region. Use local abbreviations such as VIC (Victoria) or TX (Texas).

    • townstring

      City, town, village, ward, municipality

    • postalCodestring

      Postal code

    • addressLine1string

      First line of an address. Can represent street number and name or a PO Box. Max 35 characters.

    • addressLine2string

      (Optional) Second line of an address. Max 35 characters.

Response

Successful operation.

Body application/json

  • cardIdstring

    The ID of the reissued (replacement) card